#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    long a[100001];
    long long sreca = 0;
    int n, m;
    scanf("%d %d", &n, &m);
    for(int i = 1; i <= n; i ++)
        scanf("%ld", &a[i]);
    int p1,p2;
    for(int i = 0; i < m; i ++)
    {
        scanf("%d %d", &p1, &p2);
        sreca += abs(a[p1]+a[p2]);
    }
    printf("%d", sreca);
    return 0;
}